/**
 * @file
 * Defines Javascript behaviors for the cookies module.
 */;

(function (Drupal) {
  'use strict';

  /**
   * Define defaults.
   */
  Drupal.behaviors.cookies_ga = {

    activate: function () {
      var script = document.getElementById('cookies_analytics');
      if (script) {
        var content = script.innerHTML;
        var newScript = document.createElement('script');
        newScript.innerHTML = content;
        script.parentNode.replaceChild(newScript, script);
      }
    },

    attach: function (context) {
      var self = this;
      document.addEventListener('cookiesjsrUserConsent', function (event) {
        var service = (typeof event.detail.services === 'object') ? event.detail.services : {};
        if (typeof service['analytics'] !== 'undefined' && service['analytics']) {
          self.activate(context);
        }
      });
    }
  }
})(Drupal);
